Orxonox: orxonox::BillboardProjectile Class Reference

# orxonox::BillboardProjectile Class Reference

`#include <src/orxonox/objects/weaponsystem/projectiles/BillboardProjectile.h>`

Inheritance diagram for orxonox::BillboardProjectile:

List of all members.

## Public Member Functions

| BillboardProjectile (BaseObject *creator)
virtual void | changedVisibility ()
| This function gets called if the visibility of the object changes.
virtual void | setColour (const ColourValue &colour)
virtual void | setMaterial (const std::string &material)
virtual | ~BillboardProjectile ()

## Private Attributes

BillboardSet | billboard_

## Constructor & Destructor Documentation

orxonox::BillboardProjectile::BillboardProjectile | ( | BaseObject * | creator | ) |

References orxonox::WorldEntity::attachOgreObject(), billboard_, orxonox::MT_Type::ColourValue, orxonox::BillboardSet::getBillboardSet(), orxonox::BaseObject::getScene(), RegisterObject, orxonox::BillboardSet::setBillboardSet(), orxonox::WorldEntity::setScale(), and orxonox::GameMode::showsGraphics().

orxonox::BillboardProjectile::~BillboardProjectile | ( |  | ) | `[virtual]`

References billboard_, orxonox::WorldEntity::detachOgreObject(), orxonox::BillboardSet::getBillboardSet(), orxonox::BaseObject::isInitialized(), and orxonox::GameMode::showsGraphics().

## Member Function Documentation

void orxonox::BillboardProjectile::changedVisibility | ( |  | ) | `[virtual]`

This function gets called if the visibility of the object changes.

Reimplemented from orxonox::BaseObject.

Reimplemented in orxonox::ParticleProjectile.

References billboard_, orxonox::BaseObject::isVisible(), orxonox::BillboardSet::setVisible(), and SUPER.

void orxonox::BillboardProjectile::setColour | ( | const ColourValue & | colour | ) | `[virtual]`

References billboard_, and orxonox::BillboardSet::setColour().

Referenced by orxonox::FusionFire::fire().

void orxonox::BillboardProjectile::setMaterial | ( | const std::string & | material | ) | `[virtual]`

Reimplemented in orxonox::LightningGunProjectile.

References billboard_, and orxonox::BillboardSet::setMaterial().

Referenced by orxonox::LightningGunProjectile::setMaterial().

## Member Data Documentation

BillboardSet orxonox::BillboardProjectile::billboard_`[private]`

Referenced by BillboardProjectile(), changedVisibility(), setColour(), setMaterial(), and ~BillboardProjectile().

The documentation for this class was generated from the following files:

- src/orxonox/objects/weaponsystem/projectiles/BillboardProjectile.h
- src/orxonox/objects/weaponsystem/projectiles/BillboardProjectile.cc